// JavaScript Document
///jf noblet novembre 2001
window.history.forward(1);
var	ie4 = (document.all) && (!document.getElementById)
var	ns4 = document.layers
var dom = document.getElementById; //ie5 ou ns6
var net = (navigator.appName.substring(0,3) == "Net")

//fonction à placer dans <BODY ONLOAD="initnav()"   >
//function initnav() //précautions oratoires
//{ 	
if (ns4)
		{layerRef = "document.layers";v=".top=";h=".left="
	 	styleRef = "";ctn=".document.write('";ctn2="')";
	 	cro1="['";cro2="']";bgd=".bgColor";eg="";cro3=""
		}
	if (ie4)
		{layerRef = "document.all";cro3="";h=".pixelLeft=";v=".pixelTop="
	 	styleRef = ".style";ctn=".innerHTML";ctn2="";
		cro1="['";cro2="']";bgd=".backgroundColor";eg="="
		}
	if (dom)
		{layerRef ="document.getElementById";
		styleRef = ".style";ctn2="";eg="="
		cro1='("';h=".left=";v=".top="
		cro2='")';bgd=".backgroundColor";ctn=".innerHTML";
		cro3='"';//nécessaire pour encadrer une variable texte 
		}
		
		//points
var pt=eval(parent.haut.document.f1.t2.value); //note
var qu=0;//nbre de questions exactes
var va=0;//commutzateur
var pt2=0;//pts gagnés sur la question
var tf;
var rep1="?"; var rep2="?"; var rep3="?"; var rep4="?";var rep5="?";
var q=eval(parent.haut.document.f1.t1.value)//#question
var cc=new Array(9)//les cases à cocher ou non
for (var i=0; i < cc.length; ++i){
	cc[i]=0}
var repo1="FAUX";
	var repo2="FAUX";
	var repo3="VRAI";
	var repo4="FAUX";
	var repo5="VRAI";
//parent.haut.document.f1.t1.value=eval(q+1);
//calculatrice
function calcul(){
document.f1.t7.value=eval(document.f1.t6.value)}
//validation

function valider(){MM_preloadImages('x2.jpg');
	if(va==0)
	{
        if (document.f1.r1[0].checked) {rep1="VRAI"}
		if (document.f1.r1[1].checked) {pt+=0.4;pt2+=0.4;qu+=1;rep1="FAUX"}
		if (document.f1.r2[0].checked) {rep2="VRAI"}
		if (document.f1.r2[1].checked) {pt+=0.4;pt2+=0.4;qu+=1;rep2="FAUX"}
		if (document.f1.r3[0].checked) {pt+=0.4;pt2+=0.4;qu+=1;rep3="VRAI"}
		if (document.f1.r3[1].checked) {rep3="FAUX"}
		if (document.f1.r4[0].checked) {rep4="VRAI"}
		if (document.f1.r4[1].checked) {pt+=0.4;pt2+=0.4;qu+=1;rep4="FAUX"}
		if (document.f1.r5[0].checked) {pt+=0.4;pt2+=0.4;qu+=1;rep5="VRAI"}
		if (document.f1.r5[1].checked) {rep5="FAUX"}
		
		
		
	if(parent.haut.document.f1.tst4.value=="1"){alert("inutile d'essayer de tricher")}
	if(parent.haut.document.f1.tst4.value==""){	
	ptt=0.01*Math.round(pt*100);
	parent.haut.document.f1.t2.value=eval(ptt);
	ptt2=0.01*Math.round(pt2*100);
	parent.haut.document.f1.h2.value=eval(ptt2);
	parent.haut.document.f1.h3.value=temps2;
	duree1=eval(parent.haut.document.f1.h4.value);
	duree2=eval(duree1+s);
	parent.haut.document.f1.h5.value=duree2;
	parent.haut.document.f1.h4.value=s;
	parent.haut.document.f1.tst4.value="1"

	}
	va=1;}
	
	var contenu ="<div id='barre' style='position:relative; width:650px; height:22px; z-index:20; visibility: visible;'><table width='100%'  border='1' cellpadding='0' cellspacing='0' class='slt'><tr><td width='98%'>C O R R E C T I O N</td><td width='2%'><a href='#' onMouseOut='MM_swapImgRestore()' onMouseOver=MM_swapImage('Imagex','','x2.jpg',1) onclick='fermer()'><img src='x.jpg' alt='fermer' name='Imagex' width='21' height='21' border='0'></a></td></tr></table></div>"+"<table width=100%  border=0 cellspacing=0 cellpadding=0 class=rep><tr><td width=86><img src=artemis.gif width=86 height=178 alt='&#913;&#961;&#964;&#951;&#956;&#953;&#962;'></td><td width=40%><p class=text><div align=center><img src=L-wave.gif><br>chaque point du milieu elastique effectue des cercles plus ou moins grands suivant la profondeur, c'est donc à la fois longitudinal et transversal. c'est ce qui se passe pour la houle sur l'océan. </div></p></td>"+
 "<td width=60%><table width=100%  border=1 cellspacing=1 cellpadding=1 class=rep><tr><td width=50%>votre r&eacute;ponse </td>"+
 "<td width=50%>solution</td></tr><tr><td>"+rep1+"</td><td>"+repo1+"</td></tr><tr><td>"+rep2+"</td> <td>"+repo2+"</td></tr><tr><td>"+rep3+"</td><td>"+repo3+"</td>"+
"</tr><tr><td>"+rep4+"</td><td>"+repo4+"</td></tr><tr><td>"+rep5+"</td><td>"+repo5+"</td></tr><tr><td colspan=2><p>vous avez "+qu+" r&eacute;ponse(s) exacte(s), vous avez gagn&eacute; "+ptt2+" point(s) <br>"+temps+" </p></td></tr>"+
"<tr><td colspan=2><p>(vous pouvez aussi d&eacute;placer cette fen&ecirc;tre &agrave; la souris) </p></td></tr></table></td></tr></table> "

	
	eval(layerRef+cro1+"solu"+cro2+ctn+eg+cro3+contenu+cro3+ctn2); 
	 	if (ns4){eval(layerRef+cro1+"solu"+cro2+".document.close()");}
	 	eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'visible'");
		}
		
		
		function fermer(){
			eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'hidden'");
			eval(layerRef+cro1+"barre"+cro2+styleRef+".visibility = 'hidden'");
		}
		
// No rightclick script v.2.5
// (c) 1998 barts1000
// barts1000@aol.com
// Don't delete this header!

//Disable right click script III- By Renigade (renigade@mediaone.net)
//For full source code, visit http://www.dynamicdrive.com

var message="";
///////////////////////////////////
function clickIE() {if (document.all) {(message);return false;}}
function clickNS(e) {if 
(document.layers||(document.getElementById&&!document.all)) {
if (e.which==2||e.which==3) {(message);return false;}}}
if (document.layers) 
{document.captureEvents(Event.MOUSEDOWN);document.onmousedown=clickNS;}
else{document.onmouseup=clickNS;document.oncontextmenu=clickIE;}

document.oncontextmenu=new Function("return false")

